Juni 11, 2007

JEclipse Milestone 1

Posted in Java, komputer, php pada 9:00 am oleh fuad

This version has feature
– Create Joomla Module Project
– Code completion for Joomla! api
– Test Joomla Module on webserver and mysql server which already installed

Source code of this milestone can be downloaded from official svn repository of Joomla Soc 2007 (http://joomlacode.org/gf/project/soc2007/scmsvn/). I also provide binary file of this project (http://www.kleq.web.ugm.ac.id/images/joomlaeclipse/org.joomla.eclipse.joomlaextension_1.0.0.jar).

To install JEclipse, first you need J!Code (http://joomlacode.org/gf/project/jcode/), Apache web server and Mysql server too. If you download the source code you must compile it first. This can be done by open it with Eclipse IDE (http://eclipse.org) not with J!Code set target platform to J!Code, build, and export it to plugin. But if you download the binary you just have to copy “org.joomla.eclipse.joomlaextension_1.0.0.jar” to plugin directory of J!Code.

To make module project just open menu file>New>Other>Project, Select Joomla>Joomla Module Project.


This step will generate joomla module called mod_<project_name>. When you create this project, plugin also creating index of Joomla api by read it from the plugin. So you can see list of class, method, and constant provided by Joomla! (Joomla! API). To test this module select Run>Run and double click “Joomla Module”

You will be showed list of textbox, fill it with appropriate configuration of your server. Access type field is access type of Joomla! module. Then module will be displayed on web browser like this

Next work:

fixing bug of joomla module testing

implementing administrator module testing

6 Komentar »

  1. […] dalam komputer, Java pada 11:12 am oleh fuad Tidak terasa dua bulan sudah saya menjalani Google Summer Of Code . Progress program nya sih alhamdulillah memenuhi target. Sekarang plugin JoomlaEclipse yang saya […]

  2. Ariston said,

    Udah download J!Code, tapi ga mau load. Dibilang perlu module Eclipse, nah pas mo download Eclipse bingung mau download yang mana…. Kasi tahu dong versi Eclipse yang harus di download biar J!Code bisa jalan. Lagi perlu banget ma tools buat bikin komponen Joomla. Thanks ya,

    PS: Klo bisa reply ke email ya: darmayuda.b.ariston@gmail.com

  3. fuad said,

    download jcode dari sini http://joomlacode.org/gf/project/jcode/). Itu dah langsung jalan. klik dua kali aja file(“eclipse”)

    Kalau mau pake jeclipse download dari http://google-summer-of-code-2007-joomla.googlecode.com/files/fuad_muhammad.tar.gz

    itu dah versi final.
    nanti di dalam nya ada manual cara instalasi nya.

  4. Ariston said,

    Sori ya… itu J!Code aku test pake windows vista ultimate, trus coba di xp ternyata baik2 aja…. he… sori ganggu ya… yach buat masukan aja klo J!Code blom bisa di vista, mungkin klo pake Eclipse (kompatibel ama vista) terbaru baru bisa….

  5. fuad said,

    ok, makasih masukannya

  6. Ariston said,

    Sekedar tambahan buat temen yang make vista atau sekelas windows server. Untuk menjalankan JEclipse, JCode, ternyata diperlukan hak akses Administrator, walaupun user kita dibawah hak akses Administrators. Jadi untuk menjalankannya perlu klik kanan trus pilih “Run As Administrator” (sepertinya ketika menjalankan aplikasi ini menaruh beberapa file ke dalam folder yang perlu hak akses murni Administrator).

    Jadi semoga bermanfaat.

    PS: Lakukan hal ini jika aplikasi yang anda temukan hang, atau tidak mau berjalan (terutama pada windows server based), tidak hanya untuk JCode, JEclipse, dll.


Tinggalkan Balasan

Isikan data di bawah atau klik salah satu ikon untuk log in:

Logo WordPress.com

You are commenting using your WordPress.com account. Logout / Ubah )

Gambar Twitter

You are commenting using your Twitter account. Logout / Ubah )

Foto Facebook

You are commenting using your Facebook account. Logout / Ubah )

Foto Google+

You are commenting using your Google+ account. Logout / Ubah )

Connecting to %s

%d blogger menyukai ini: